<?php
/*
#####################################
#  ShopOS: Shopping Cart Software.
#  Copyright (c) 2008-2010
#  http://www.shopos.ru
#  http://www.shoposs.com
#  Ver. 1.0.0
#####################################
*/

$_www_location = 'http://' . $_SERVER['HTTP_HOST'];

if (isset($_SERVER['REQUEST_URI']) && (empty($_SERVER['REQUEST_URI']) === false)) 
{
   $_www_location .= $_SERVER['REQUEST_URI'];
}
else 
{
   $_www_location .= $_SERVER['SCRIPT_FILENAME'];
}

if ( is_file( dirname(dirname(dirname(__FILE__))).'/'.'VERSION' ) )
{
    $_version = @ file_get_contents (dirname(dirname(dirname(__FILE__))).'/'.'VERSION');
    $_version = str_replace('shopos/', '', $_version);
}
else
{
    $_version = '3.0.0';
}
$_www_location = substr($_www_location, 0, strpos($_www_location, 'install'));
$dir = dirname(__FILE__) . '/../../';
$_dir_fs_www_root = str_replace('\\', '/', realpath($dir)).'/';
  
if (!defined('_LANG')) define('_LANG', $_dir_fs_www_root."langs/");
if (!defined('DIR_WS_LANGUAGES')) define('DIR_WS_LANGUAGES',$_dir_fs_www_root."langs/");
//print(_CATALOG);
if (!defined('_CATALOG')) define('_CATALOG',$_dir_fs_www_root);
if (!defined('DIR_FS_CATALOG')) define('DIR_FS_CATALOG',$_dir_fs_www_root);

require(_CATALOG.'includes/classes/message_stack.php');
require(_CATALOG.'includes/default.php');
require(_CATALOG.'includes/filenames.php');

require(dirname(__FILE__).'/func.php');

session_start();
@ header("Content-Type: text/html; charset=utf-8"); 
@ error_reporting(E_ALL & ~E_NOTICE);

if (!defined('_ICONS')) define('_ICONS','images/');

require_once (_CATALOG.'includes/classes/db.php');

function os_check_version($mini='4.1.2')
{
   $dummy=phpversion();
   sscanf($dummy,"%d.%d.%d%s",$v1,$v2,$v3,$v4);
   sscanf($mini,"%d.%d.%d%s",$m1,$m2,$m3,$m4);
   if($v1>$m1) return(1);	
   elseif($v1<$m1) return(0);
   if($v2>$m2) return(1);
   elseif($v2<$m2) return(0);
   if($v3>$m3) return(1);
   elseif($v3<$m3) return(0);
   if((!$v4)&&(!$m4)) return(1);
   if(($v4)&&(!$m4))
   {
       $dummy=strpos($v4,"pl");
       if(is_integer($dummy)) return(1);
       return(0);
   }
   elseif((!$v4)&&($m4))
   {
       $dummy=strpos($m4,"rc");
       if(is_integer($dummy)) return(1);
       return(0);
   }
   return(0);
}

function install_menu() // Создание элементов меню в админке
{
   $menu = '<div id="menu">';
   $menu .= '<a href="http://www.shopos.ru/support/" target="_blank" alt="'.TEXT_MENU_SUPPORT.'">'.TEXT_MENU_SUPPORT.'</a>&nbsp;&nbsp;';
   $menu .= '|&nbsp;&nbsp;<a href="http://www.shopos.ru/forum/" target="_blank" alt="'.TEXT_MENU_FORUM.'">'.TEXT_MENU_FORUM.'</a>&nbsp;&nbsp;';
   $menu .= '|&nbsp;&nbsp;<a href="http://www.shopos.ru/themes/" target="_blank">'.TEXT_THEMES.'</a>&nbsp;&nbsp;';
   $menu .= '|&nbsp;&nbsp;<a href="http://www.shopos.ru/plugins/" target="_blank">'.TEXT_PLUGINS.'</a>&nbsp;&nbsp;';
   $menu .= '|&nbsp;&nbsp;<a href="http://docs.shopos.ru/" target="_blank" alt="'.TEXT_MENU_HELP.'">'.TEXT_MENU_HELP.'</a>';
   $menu .= '</div>';
   $menu .= '<div id="help"><a href="http://docs.shopos.ru/" target="_blank" alt="'.TEXT_MENU_HELP.'">?</a></div>';
   
   return $menu;
}

function _copy()
{
   echo '<center><span style="font-size:7px;color:#999999;">&copy; '.date('Y').' ShopOS</span><br /><a href="http://www.shopos.ru/" alt="Скрипты  php интернет-магазина" style="font-size:7px;color:#999999;">Интернет-магазин</a></center>';
}

function lang_menu() //Панель с языками
{
   //return $text;
}

function lang_menu_index() //Панель с языками для index.php
{
   $langs = get_install_langs();
   $text = '<div style="position: absolute;right:300px;"><div style="padding-top: 10px;" id="lang_menu">';
   foreach($langs as $lang)
   {
      if ($_SESSION['language'] == $lang)
	  {
	       $text .= '<span class="lang_a"><a onclick="document.getElementById(\'lang_a\').value=\''.$lang.'\';document.getElementById(\'action\').value=\'\';document.language.submit();" alt="'.$lang.'"><img src="lang/'.$lang.'/lang.gif" border="0" /></a></span>';
	  }
	  else
	  {
	       $text .= '<span class="lang_b"><a onclick="document.getElementById(\'lang_a\').value=\''.$lang.'\';document.getElementById(\'action\').value=\'\';document.language.submit();" alt="'.$lang.'"><img src="lang/'.$lang.'/lang.gif" border="0" /></a></span>';
	  }
   }
   $text .= '</div></div>';
   return $text;
}

function get_install_langs() //Список языков установщика
{
   if ($dir = opendir(_CATALOG.'install/lang/')) 
   {
		while (($langs = readdir($dir)) !== false) 
		{
			if (is_dir(_CATALOG.'install/lang/'."//".$langs) && $langs != "." && $langs != ".." && $langs != ".svn") 
			{
				$langs_array[] = $langs;
			}
		}
		closedir($dir);
		rsort($langs_array);
   }
  
   return $langs_array;
}

?>